libretools - Bug #1768

[libreblacklist] update isn't safe to run in parallel
2018-04-28 06:51 AM - lukeshu

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

After configuring repo to run db-import-pkg packages and db-import-pkg community at the same time, we ended up with:

Date: Sat, 28 Apr 2018 00:13:02 +0000 (GMT)

Subject: [Maintenance] Cron <repo@winston> chronic bash -c 'db-import-pkg community 2>&1'
From: " (Cron Daemon)" <repo@winston.parabola.nu>

To: maintenance@lists.parabola.nu

Message-Id: <20180428001302.BA0CBFB81lF4@winston.parabola.nu>

List-Id: For maintenance stuff <maintenance.lists.parabola.nu>

==> Downloading blacklist of proprietary software packages...done
mv: cannot stat '/home/repo/.cache/libretools/blacklist.txt.part': No such file or directory

==> ERROR: An unknown error has occurred. Exiting...
/usr/bin/bash: line 1: 24278 User defined signal 1 db-import-pkg community 2>&1

And sure enough, looking at the blacklist-update() code, | see that it isn't safe.

History

#1 - 2018-04-28 04:13 PM - lukeshu
- % Done changed from 0 to 100
- Assignee set to lukeshu

- Status changed from open to fixed

fixed in 20180428

2024-04-10 1/1



http://www.tcpdf.org

